﻿Module ModulEventLogging
    Sub Main()
        WriteMessage("C:\Pfad\error.xml")
    End Sub

    Sub WriteMessage(sXMLFullFileName As String)
        Try

            Dim myEx As New ArgumentException("Dies ist eine Fehlermeldung")

            Dim myErrDts As New ErrorLogDts
            Dim sDirFileXML As String = sXMLFullFileName
            If IO.File.Exists(sDirFileXML) Then
                Try
                    myErrDts.ReadXml(sDirFileXML)
                Catch ex As System.Xml.XmlException
                Catch ex As Security.SecurityException
                End Try
            End If
            Dim ErrRow As ErrorLogDts.ErrorLogRow
            ErrRow = myErrDts.ErrorLog.NewRow
            With ErrRow
                .title = "Test"
                .msg = "Info"
                .StackTrace = "Trace-Info"
                .ErrorType = "FehlerTyp"
                .exception = myEx
                .ErrDateTime = Date.Now
            End With
            myErrDts.ErrorLog.AddErrorLogRow(row:=ErrRow)

            'myErrDts.Save()
            'Dim file = New IO.FileInfo(sDirFileXML)
            'If IO.File.Exists(file.FullName) Then
            '    myErrDts.WriteXml(fileName:=file.FullName)
            'End If
            IO.File.Delete(sDirFileXML)
            Dim streamWrite As New System.IO.FileStream(sDirFileXML, System.IO.FileMode.Create)
            myErrDts.WriteXml(streamWrite)
            myErrDts.Dispose()
        Catch ex As ArgumentNullException
        End Try

    End Sub


End Module
